package com.Config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;

/**
 * spring 核心配置文件类
 */
@Configuration
// 组件扫描
//<context:component-scan base-package="com"></context:component-scan>
@ComponentScan({"com"})
@PropertySource("classpath:jdbc.properties")
public class SpringConfiguration {
    // 写一个dataSource
    @Value("${jdbc.url}")
    String jdbcUrl;
    @Bean("getJdbcUrl")
    public String getJdbcUrl() {
        return jdbcUrl;
    }
}
